Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.parse
Class LpLookaheadLexerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.parse.LpLexerTest
                  lp.parse.LpLookaheadLexerTest

All Implemented Interfaces:
  Test

    public class LpLookaheadLexerTest

extends LpLexerTest

Contains tests of the `LpLookaheadLexer` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpLookaheadLexer`

Field Summary

Fields inherited from class lp.parse.LpLexerTest
`lexer`

Constructor Summary
`LpLookaheadLexerTest(String testName)` A default test case constructor.

Method Summary
`protected void` | `doTest(String source, List<LpToken> expectedTokens)` Calls `LpLexerTest.doTest(String, List)` and then makes a more advanced test with some lookahead calls (which shouldn't influence the results of other methods).
`void` | `testException()` Tests exceptions that should be thrown when a negative lookahead is requested.

Methods inherited from class lp.parse.LpLexerTest
`testAfterClose, testComments, testDefaultValues, testEqual, testEqual, testSetInputExceptions, testTokens, testTokensSimple, testWhiteSpace`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LpLookaheadLexerTest

    public LpLookaheadLexerTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### doTest

    protected void doTest(String source,
                          List<LpToken> expectedTokens)

  Calls `LpLexerTest.doTest(String, List)` and then makes a more advanced test with some lookahead calls (which shouldn't influence the results of other methods).

  Overrides:
    `doTest` in class `LpLexerTest`
  Throws:
    `IOException` - (wrapped in an `ExceptionAdapter`) if an I/O exception occurs while parsing the input (should never happen)

### testException

    public void testException()

  Tests exceptions that should be thrown when a negative lookahead is requested.

  Throws:
    `IOException` - (wrapped in an `ExceptionAdapter`) if an I/O exception occurs while parsing the input (should never happen)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD